import Mock from 'mockjs'
Mock.mock("/api/login", "get", () => {
    return {
        code: "200",
        success: true,
        message: '',
        result: {
            username: "admin",
            token: 'admin'
        },
    };
});
//询价单
Mock.mock("/api/inquiryAdd", "get", () => {
    return {
        code: "200",
        success: true,
        message: '操作成功!',
        result: {
            username: "admin",
            token: 'admin'
        },
    };
});
//快捷回复
Mock.mock("/api/kjiehuifu", 'get', () => {
    return {
        code: '200',
        success: true,
        message: '',
        result: [
            {
                message: '感谢您的咨询，我们会尽快回复您',
            }, {
                message: '感谢您的耐心等待，您的问题已经收到，将尽快给您答复。'
            }, {
                messag: '谢谢你的来信，我会尽快回复。'
            }, {
                messag: '谢谢你的信息，我会尽快做出回复。'
            }
        ]
    }
})
//列表
Mock.mock("/api/getUserList", 'get', () => {
    return {
        code: '200',
        success: true,
        message: '',
        result: [{
            userId: '11fb824c0deb4e8b947275e1e7c4f7a2',
            username: '1710323861524',
            userImg: 'https://cdn.lirimall.com//lirigo/filetempImage/新鲜水果_1661668973048.png',
            messages: []
        }, {
            userId: '4f99b6dc32d84a288d88e7d9635521a3',
            username: '1710317951930',
            userImg: 'https://cdn.lirimall.com//lirigo/filetempImage/新鲜水果_1661668973048.png',
            messages: []
        }]
    }
})
//查看未读消息
Mock.mock("/api/checkMesssages", 'get', () => {
    return {
        code: '200',
        success: true,
        message: '',
        result: []
    }
})
Mock.mock("/api/getUploadConfigInfo", 'get', () => {
    return {
        code: '200',
        success: true,
        message: '',
        result: {
            bucketName: "",
            regionid: "",
            upLoadPath: "",
            uploadType: "",
            staticDomain: "",
            startTime: "",
            expiredTime: "",
            credentials: {
              tmpSecretId: "",
              tmpSecretKey: "",
              sessionToken: "",
            },
        }
    }
})
Mock.mock("/api/upload", 'get', () => {
    return {
        code: '200',
        success: true,
        message: '',
        result: {
            bucketName: "",
            regionid: "",
            upLoadPath: "",
            uploadType: "",
            staticDomain: "",
            startTime: "",
            expiredTime: "",
            credentials: {
              tmpSecretId: "",
              tmpSecretKey: "",
              sessionToken: "",
            },
          },
    }
})